import type { HeapLogger, LogLevel } from '../logger';
import type { InvocationHandler } from '../bridge';
import type { Options, Properties, SourceInfo } from './types';
export type { Options, Properties, SourceInfo } from './types';
export interface Heap {
    startRecording(environmentId: string, options?: Options): void;
    stopRecording(): void;
    track(event: string, properties?: Properties | null, timestamp?: Date | null, sourceInfo?: SourceInfo | null): void;
    identify(identity: string): void;
    resetIdentity(): void;
    addUserProperties(properties: Properties): void;
    addEventProperties(properties: Properties): void;
    removeEventProperty(name: string): void;
    clearEventProperties(): void;
    setLogLevel(logLevel: LogLevel): void;
    getSessionId(): Promise<string | null>;
    fetchSessionId(): Promise<string | null>;
    getUserId(): Promise<string | null>;
    getIdentity(): Promise<string | null>;
}
export declare const createHeap: (handleInvocation: InvocationHandler, logger: HeapLogger, defaultSource?: SourceInfo | null) => Heap;
